claw::multi_type_map< Key, meta::type_list< Head, Tail > >::iterator< ValueType > Struct Template Reference

This structure is used to create an iterator on the values of a given type. More...

`#include <multi_type_map.hpp>`

## Public Types

typedef std::map< key_type, ValueType >::iterator | type
| The type of the iterator.
typedef std::map< key_type, ValueType >::const_iterator | const_type
| The type of the const_iterator.

## Detailed Description

template<typename Key, typename Head, typename Tail>
template<typename ValueType>
struct claw::multi_type_map< Key, meta::type_list< Head, Tail > >::iterator< ValueType >

This structure is used to create an iterator on the values of a given type.

Definition at line 123 of file multi_type_map.hpp.

## Member Typedef Documentation

## const_type

template<typename Key, typename Head, typename Tail>
template<typename ValueType>

typedef std::map<key_type,ValueType>::const_iterator claw::multi_type_map< Key, meta::type_list< Head, Tail > >::iterator< ValueType >::const_type

The type of the const_iterator.

Definition at line 130 of file multi_type_map.hpp.

## type

template<typename Key, typename Head, typename Tail>
template<typename ValueType>

typedef std::map<key_type,ValueType>::iterator claw::multi_type_map< Key, meta::type_list< Head, Tail > >::iterator< ValueType >::type

The type of the iterator.

Definition at line 126 of file multi_type_map.hpp.

The documentation for this struct was generated from the following file:

- multi_type_map.hpp